## r-cran-interp 1.0

=== DESCRIPTION ===
Package: interp
Type: Package
Title: Interpolation Methods
Version: 1.0-33
Date: 2020-01-07
Authors@R: c(person("Albrecht", "Gebhardt", role = c("aut", "cre", "cph"),
                     email = "albrecht.gebhardt@aau.at",
                     comment = "..."),
            person("Roger", "Bivand", role = c("aut"),
                     email = "Roger.Bivand@nhh.no"),
            person("David", "Sinclair", role = c("aut","cph"),
                     email = "david@s-hull.org"))
Maintainer: Albrecht Gebhardt <albrecht.gebhardt@aau.at>
Description: Bivariate data interpolation on regular and irregular
  grids, either linear or using splines are the main part of this
  package.  It is intended to provide FOSS replacement functions for
  the ACM licensed akima::interp and tripack::tri.mesh functions.
  Currently the piecewise linear interpolation part of akima::interp
  (and also akima::interpp) is implemented in interp::interp, this
  corresponds to the call akima::interp(..., linear=TRUE) which is the
  default setting and covers most of akima::interp use cases in
  depending packages.  A re-implementation of Akimas spline
  interpolation (akima::interp(..., linear=FALSE)) is currently under
  development and will complete this package in a later
  version. Estimators for partial derivatives are already available,
  these are a prerequisite for the spline interpolation.  The basic
  part is currently a GPLed triangulation algorithm (sweep hull
  algorithm by David Sinclair) providing the starting point for the
  piecewise linear interpolator. As side effect this algorithm is also
  used to provide replacements for the basic functions of the tripack
  package which also suffer from the ACM restrictions.  All functions
  are designed to be backward compatible with their akima / tripack
  counterparts.
License: GPL (>= 2)
Imports: Rcpp (>= 0.12.9), deldir
Suggests: sp, Deriv
LinkingTo: Rcpp, RcppEigen
NeedsCompilation: yes
Packaged: 2020-01-07 21:35:45 UTC; agebhard
Author: Albrecht Gebhardt [aut, cre, cph] (...),
  Roger Bivand [aut],
  David Sinclair [aut, cph]
Repository: CRAN
Date/Publication: 2020-01-08 23:01:13 UTC

## r-cran-interp 1.0-31

=== debian/changelog ===
r-cran-interp (1.0-31-1) unstable; urgency=medium

  * Initial release (closes: #919465)

 -- Andreas Tille <tille@debian.org>  Wed, 16 Jan 2019 12:06:33 +0100

=== debian/control ===
Source: r-cran-interp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.12.9),
               r-cran-deldir,
               r-cran-rcppeigen
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-interp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-interp.git
Homepage: https://cran.r-project.org/package=interp

Package: r-cran-interp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interpolation methods
 Bivariate data interpolation on regular and irregular
 grids, either linear or using splines are the main part of this
 package.  It is intended to provide FOSS replacement functions for
 the ACM licensed akima::interp and tripack::tri.mesh functions.
 Currently the piecewise linear interpolation part of akima::interp
 (and also akima::interpp) is implemented in interp::interp, this
 corresponds to the call akima::interp(..., linear=TRUE) which is the
 default setting and covers most of akima::interp use cases in
 depending packages.  A re-implementation of Akimas spline
 interpolation (akima::interp(..., linear=FALSE)) is currently under
 development and will complete this package in a later
 version. Estimators for partial derivatives are already available,
 these are a prerequisite for the spline interpolation.  The basic
 part is currently a GPLed triangulation algorithm (sweep hull
 algorithm by David Sinclair) providing the starting point for the
 piecewise linear interpolator. As side effect this algorithm is also
 used to provide replacements for the basic functions of the tripack
 package which also suffer from the ACM restrictions.  All functions
 are designed to be backward compatible with their akima / tripack
 counterparts.

## r-cran-interp 1.0-32

=== debian/changelog ===
r-cran-interp (1.0-32-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2019 21:07:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.9),
                r-cran-deldir,
                r-cran-rcppeigen
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-interp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-interp.git
 Homepage: https://cran.r-project.org/package=interp

## r-cran-interp 1.0-33

=== debian/changelog ===
r-cran-interp (1.0-33-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2020 11:55:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.12.9),
                r-cran-deldir,
                r-cran-rcppeigen
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-interp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-interp.git
 Homepage: https://cran.r-project.org/package=interp

## r-cran-interp 1.1

=== DESCRIPTION ===
Package: interp
Type: Package
Title: Interpolation Methods
Version: 1.1-6
Date: 2024-01-26
Authors@R: c(person("Albrecht", "Gebhardt", role = c("aut", "cre", "cph"),
                     email = "albrecht.gebhardt@aau.at"),
            person("Roger", "Bivand", role = c("aut"),
                     email = "Roger.Bivand@nhh.no"),
            person("David", "Sinclair", role = c("aut","cph"),
                     email = "david@s-hull.org",
                     comment = "author of the shull library"))
Maintainer: Albrecht Gebhardt <albrecht.gebhardt@aau.at>
Description: Bivariate data interpolation on regular and irregular
  grids, either linear or using splines are the main part of this
  package.  It is intended to provide FOSS replacement functions for
  the ACM licensed akima::interp and tripack::tri.mesh functions.
  Linear interpolation is implemented in 
  interp::interp(..., method="linear"), this corresponds to the call 
  akima::interp(..., linear=TRUE) which is the default setting and 
  covers most of akima::interp use cases in depending packages.  
  A re-implementation of Akimas irregular grid spline
  interpolation (akima::interp(..., linear=FALSE)) is now also
  available via interp::interp(..., method="akima").
  Estimators for partial derivatives are now also available in 
  interp::locpoly(), these are a prerequisite for the spline interpolation.  
  The basic part is a GPLed triangulation algorithm (sweep hull 
  algorithm by David Sinclair) providing the starting point for the
  irregular grid interpolator. As side effect this algorithm is also
  used to provide replacements for almost all functions of the tripack
  package which also suffers from the same ACM license restrictions.  
  All functions are designed to be backward compatible with their 
  akima / tripack counterparts.
License: GPL (>= 2)
Imports: Rcpp (>= 0.12.9), deldir
Suggests: sp, Deriv, Ryacas, ggplot2, gridExtra, lattice, stringi,
        stringr, scatterplot3d, MASS
Enhances: RcppEigen
LinkingTo: Rcpp, RcppEigen
Depends: R (>= 3.5.0)
NeedsCompilation: yes
Packaged: 2024-01-26 16:14:50 UTC; alge
Author: Albrecht Gebhardt [aut, cre, cph],
  Roger Bivand [aut],
  David Sinclair [aut, cph] (author of the shull library)
Repository: CRAN
Date/Publication: 2024-01-26 17:10:02 UTC

## r-cran-interp 1.1-3

=== debian/changelog ===
r-cran-interp (1.1-3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jul 2022 11:52:05 +0200

r-cran-interp (1.1-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 11:47:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.12.9),
+               r-cran-rcpp,
                r-cran-deldir,
                r-cran-rcppeigen
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-interp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-interp.git
 Homepage: https://cran.r-project.org/package=interp
+Rules-Requires-Root: no
 
 Package: r-cran-interp
 Architecture: any

## r-cran-interp 1.1-4

=== debian/changelog ===
r-cran-interp (1.1-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 21:51:02 +0200

## r-cran-interp 1.1-6

=== debian/changelog ===
r-cran-interp (1.1-6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2024 21:45:36 +0100

r-cran-interp (1.1-5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 20:06:24 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-rcpp,
                r-cran-deldir,
                r-cran-rcppeigen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-interp
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-interp.git
 Homepage: https://cran.r-project.org/package=interp

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/interp_([-\d.]*)\.tar\.gz
